Loading...
Searching...
No Matches
pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Reference

Utility class for evaluating a decision forests. More...

`#include <pcl/ml/dt/decision_forest_evaluator.h>`

## Public Member Functions

| DecisionForestEvaluator ()
| Constructor.
virtual | ~DecisionForestEvaluator ()
| Destructor.
void | evaluate (pcl::DecisionForest< NodeType > &DecisionForestEvaluator, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, std::vector< ExampleIndex > &examples, std::vector< LabelType > &label_data)
| Evaluates the specified examples using the supplied forest.
void | evaluate (pcl::DecisionForest< NodeType > &DecisionForestEvaluator, pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > &feature_handler, pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > &stats_estimator, DataSet &data_set, ExampleIndex example, std::vector< NodeType > &leaves)
| Evaluates a specific patch using the supplied forest.

## Detailed Description

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Utility class for evaluating a decision forests.

Definition at line 56 of file decision_forest_evaluator.h.

## Constructor & Destructor Documentation

## DecisionForestEvaluator()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::DecisionForestEvaluator | ( |  | ) |

Constructor.

Definition at line 53 of file decision_forest_evaluator.hpp.

Referenced by ~DecisionForestEvaluator().

## ~DecisionForestEvaluator()

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~DecisionForestEvaluator | ( |  | ) |

virtual default

Destructor.

References DecisionForestEvaluator().

## Member Function Documentation

## evaluate() [1/2]

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::evaluate | ( | pcl::DecisionForest< NodeType > & | DecisionForestEvaluator,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | ExampleIndex | example,
|  | std::vector< NodeType > & | leaves )

Evaluates a specific patch using the supplied forest.

Parameters

  [in] | DecisionForestEvaluator | the decision forest
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | example | the examples that have to be evaluated
  [out] | leaves | the leaves where the patch arrives

Definition at line 105 of file decision_forest_evaluator.hpp.

## evaluate() [2/2]

template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>

void pcl::DecisionForestEvaluator< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::evaluate | ( | pcl::DecisionForest< NodeType > & | DecisionForestEvaluator,
|  | pcl::FeatureHandler< FeatureType, DataSet, ExampleIndex > & | feature_handler,
|  | pcl::StatsEstimator< LabelType, NodeType, DataSet, ExampleIndex > & | stats_estimator,
|  | DataSet & | data_set,
|  | std::vector< ExampleIndex > & | examples,
|  | std::vector< LabelType > & | label_data )

Evaluates the specified examples using the supplied forest.

Parameters

  [in] | DecisionForestEvaluator | the decision forest
  [in] | feature_handler | the feature handler used to train the tree
  [in] | stats_estimator | the statistics estimation instance used while training the tree
  [in] | data_set | the data set used for evaluation
  [in] | examples | the examples that have to be evaluated
  [out] | label_data | the destination for the resulting label data

Definition at line 72 of file decision_forest_evaluator.hpp.

The documentation for this class was generated from the following files:

- pcl/ml/dt/decision_forest_evaluator.h
- pcl/ml/impl/dt/decision_forest_evaluator.hpp